org.apache.cassandra.utils

## Class DynamicList<E>

- java.lang.Object
- - org.apache.cassandra.utils.DynamicList<E>

- Direct Known Subclasses:
    LockedDynamicList

      public class DynamicList<E>
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DynamicList.Node<E>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DynamicList(int maxExpectedSize)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DynamicList.Node<E>` | `append(E value)`
    `DynamicList.Node<E>` | `append(E value, int maxSize)`
    `E` | `get(int index)`
    `static void` | `main(java.lang.String[] args)`
    `void` | `remove(DynamicList.Node<E> node)`
    `int` | `size()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DynamicList

          public DynamicList(int maxExpectedSize)

  - ### Method Detail

    - #### append

          public DynamicList.Node<E> append(E value)

    - #### append

          public DynamicList.Node<E> append(E value,
                                            int maxSize)

    - #### remove

          public void remove(DynamicList.Node<E> node)

    - #### get

          public E get(int index)

    - #### size

          public int size()

    - #### main

          public static void main(java.lang.String[] args)

Copyright © 2018 The Apache Software Foundation